Bug 110342 - Launch Kmail at startup if an IMAP resource is activated
Summary: Launch Kmail at startup if an IMAP resource is activated
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: groupware (show other bugs)
Version: 3.4.1
Platform: unspecified Linux
: NOR wishlist with 62 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-07 15:17 UTC by Damien Raude-Morvan
Modified: 2011-02-27 10:16 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Damien Raude-Morvan 2005-08-07 15:17:53 UTC
Version:           3.4.1 (using KDE 3.4.1, Debian Package 4:3.4.1-1 (3.1))
Compiler:          gcc version 3.3.6 (Debian 1:3.3.6-5)
OS:                Linux (i686) release 2.6.12-1-686

I use an IMAP resource (on disconnected imap) to store contacts, calendar, etc in Korganizer.
Korganizer alarm daemon is configured for automatic launch on kde startup.

AFAIK, Kmail is started at login to allow Korganizer to access this IMAP resource. Would it be possible for Korganizer resource manager to use KIO IMAP or cached items instead of starting up Kmail ?

It's an annoying "feature" because I have to close Kmail to allow Kontact Kmail Kpart to startup.
Comment 1 Josua Dietze 2006-02-12 11:40:24 UTC
I confirm this behaviour. In my setup I intend to load just the reminder module at desktop startup. I use Disconnected IMAP as well (because plain IMAP does not work right, see bugs 107894, 106647, 107587 and possibly others).

If the reminder is started at desktop startup, kmail is always opened automatically. Not critical, but annoying. 
Comment 2 Johan Rutgeerts 2006-04-13 09:19:07 UTC
This is the same bug as #74363.
Comment 3 Reinhold Kainhofer 2006-11-02 18:59:15 UTC
Reassigning all KOrganizer bug reports and wishes to the newly created 
korganizer-devel mailing list.
Comment 4 Thomas McGuire 2007-08-15 13:30:04 UTC
This seems like it will be solved when KMail and KOrganizer are ported to Akonadi.

See also:
bug 121708
bug 126803
bug 110342
bug 74363
bug 148836
Comment 5 Sergio Martins 2011-02-27 10:16:26 UTC
(In reply to comment #4)
> This seems like it will be solved when KMail and KOrganizer are ported to
> Akonadi.

Yep, fixed in master.